#ifndef THISCTLINF_H_
#define THISCTLINF_H_

#include "gType.h" 
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "EditML.h"
#include "CtlPanel1.h"

class TThisCtlInf{
	public:
		TStaticText Caption;
		u32 Color;
	
		TRect Bound;	
		TRect Content;
		TRect RectPanel;
		class TCtlPanel1 *aPanel;
	
		unsigned char CtlIndex;
		unsigned char IsProgram;
	
		unsigned char PadNum;
		unsigned char KeyNum;
		unsigned char IsUsing;
		unsigned char Type;
		unsigned char Ferture;
		unsigned char Fon;
	
	public:
		TThisCtlInf(){};
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
		void RenderBackGround(void);

		void RenderBackGround(unsigned int aClr);
		void RenderContent(void);
		void DrawSelf(void);
		void DrawCaption(void);
		void Show();
			
		void ShowInf();

		TGuiMsgReturn KeyIn(unsigned char aKey);
			
		int ExtRequst(unsigned char Prm){return 0;}
};



































#endif
